Issue #7737 has been updated by paul0 (Paulo Geyer).


paul0 (Paulo Geyer) wrote:
> fixed that, changed to $(srcdir)/complex.o the line where tells where the object to be linked is in the ext/mathn/complex/Makefile
> 
> had to do that with ext/mathn/rational/Makefile too

fixed other things, and finished compiling
this patch haven't solved the gem native extension problem, it still tries to use -Wl parameter with ld
----------------------------------------
Bug #7737: problem with generated rbconfig.rb for Haiku
https://bugs.ruby-lang.org/issues/7737#change-35788

Author: paul0 (Paulo Geyer)
Status: Feedback
Priority: Normal
Assignee: nobu (Nobuyoshi Nakada)
Category: build
Target version: 2.0.0
ruby -v: ruby 2.0.0dev (2013-01-23 trunk 38898) [i586-haiku]


After compiling ruby 2.0.0 for Haiku, I couldn't install gems with native extensions, found something wrong with rbconfig.rb

  CONFIG["RPATHFLAG"] = " -Wl,-R%1$-s"

changing that to:
  CONFIG["RPATHFLAG"] = ""

made possible to rubygems create native extensions


-- 
http://bugs.ruby-lang.org/